wok rev 13692

syslinux: iso2exe (tiny edits)
author Paul Issott <paul@slitaz.org>
date Thu Dec 13 18:22:00 2012 +0000 (2012-12-13)
parents 7d300004a3b8
children 67b90ec42809
files syslinux/stuff/iso2exe/README syslinux/stuff/iso2exe/init syslinux/stuff/iso2exe/iso2exe.sh
line diff
     1.1 --- a/syslinux/stuff/iso2exe/README	Thu Dec 13 14:33:27 2012 +0100
     1.2 +++ b/syslinux/stuff/iso2exe/README	Thu Dec 13 18:22:00 2012 +0000
     1.3 @@ -7,30 +7,30 @@
     1.4  
     1.5  Why ?
     1.6  
     1.7 -According to the SliTaz forum, some new users have problems to burn CD-ROM,
     1.8 -create USB Keys, and boot these devices with the BIOS. Others are lost during 
     1.9 -installation process or partitionning.
    1.10 +According to the SliTaz forum, some new users have problems burning CD-ROMs,
    1.11 +creating USB Keys and booting these devices with the BIOS. Others are lost 
    1.12 +during the installation process or partitioning.
    1.13  
    1.14  The slitaz.exe program boots the SliTaz ISO image with a text menu:
    1.15  
    1.16 -- to start SliTaz in RAM (live) in graphic mode or text mode.
    1.17 +- to start SliTaz in RAM (live) in graphics mode or text mode.
    1.18  
    1.19  - to install SliTaz "a la UMSDOS" in the \slitaz\ subdirectory. The simplest
    1.20 -  way install to SliTaz. No partionning. No questions.
    1.21 +  way install to SliTaz. No partitioning. No questions.
    1.22  
    1.23  
    1.24  Usage:
    1.25  
    1.26    C:\> progname [mode]
    1.27  
    1.28 -Default mode is menu. mode can be:
    1.29 +Default mode is menu. Mode can be:
    1.30  
    1.31  - menu	  	start with an interactive menu
    1.32  - live    	launch SliTaz in RAM with graphics
    1.33  - text    	launch SliTaz in RAM with text mode
    1.34  - install 	SliTaz UMSDOS like installation
    1.35  
    1.36 -If the progname name includes one of the supported mode, the according mode is
    1.37 +If the program name includes one of the supported modes; the according mode is
    1.38  assumed. Example 'C:\> slitazlive.exe' starts SliTaz in RAM with graphics.
    1.39  
    1.40  
    1.41 @@ -40,7 +40,7 @@
    1.42  
    1.43  - isolinux uses the first 512 bytes for hybrid iso boot (ISO image in a 
    1.44    partition).
    1.45 -- tazlito stores flavor extra infos at the 2nd Kb for 'tazlito iso2flavor'.
    1.46 +- tazlito stores extra flavor info at the 2nd Kb for 'tazlito iso2flavor'.
    1.47  
    1.48  The iso2exe tool moves the isolinux boot sector, installs its own boot sector 
    1.49  with a DOS .EXE header, and adds a DOS .COM Linux loader and an initramfs in 
    1.50 @@ -55,7 +55,7 @@
    1.51      +-----------------+
    1.52             unused
    1.53      +-----------------+
    1.54 -    |  tazlito info   | Flavor missing datas for 'tazlito iso2flavor'
    1.55 +    |  tazlito info   | Flavor missing data for 'tazlito iso2flavor'
    1.56   1K +-----------------+
    1.57      | isohybrid boot  | Starts isolinux.bin
    1.58  512 +-----------------+
    1.59 @@ -67,9 +67,9 @@
    1.60  
    1.61  Limitations:
    1.62  
    1.63 -- Real mode support only. VM86 is not (yet?) supported
    1.64 +- Real mode support only. VM86 is not (yet?) supported.
    1.65  
    1.66 -- Image/zImage format not supported. bzImage only. Can't boot memtest or gpxe.
    1.67 +- Image/zImage format not supported, bzImage only. Can't boot memtest or gpxe.
    1.68  
    1.69  - The tiny Linux loader can't load more than 15Mb of files. (not really a 
    1.70    problem since many-in-1 ISO format).
    1.71 @@ -77,8 +77,8 @@
    1.72  - The DOS Linux loader and the ISO initramfs must fit in ~30Kb.
    1.73  
    1.74  - Old Linux kernels don't support multiple initramfs load. They will not
    1.75 -  find the /init.exe file. As workaround, you can add the "text" argument:
    1.76 +  find the /init.exe file. As a workaround, you can add the "text" argument:
    1.77  	C:\> slitaz.exe text
    1.78  
    1.79 -- The ISO image must include the files /boot/bzImage and /boot/rootfs*
    1.80 +- The ISO image must include the files /boot/bzImage and /boot/rootfs*.
    1.81  
     2.1 --- a/syslinux/stuff/iso2exe/init	Thu Dec 13 14:33:27 2012 +0100
     2.2 +++ b/syslinux/stuff/iso2exe/init	Thu Dec 13 18:22:00 2012 +0000
     2.3 @@ -14,7 +14,7 @@
     2.4  
     2.5  gettazboot()
     2.6  {
     2.7 -	echo "Create $(basename $1) ..."
     2.8 +	echo "Creating $(basename $1) ..."
     2.9  	O=$(($(get 36 /mnt/$ISO 2) - 0xE0))
    2.10  	L=$((0x8000 - $(get 28 /mnt/$ISO 2) - $O))
    2.11  	S=$((32+$L))
    2.12 @@ -67,7 +67,7 @@
    2.13  
    2.14  mkinitrd()
    2.15  {
    2.16 -	echo "Create $(basename $1) ..."
    2.17 +	echo "Creating $(basename $1) ..."
    2.18  	for i in bin lib dev proc tmp mnt etc ; do
    2.19  		mkdir -p /tmp/fs/$i
    2.20  	done
    2.21 @@ -154,10 +154,10 @@
    2.22  		--yes-label "Install" --yesno \
    2.23  "\nSliTaz will be installed in the subdirectory \\slitaz of the current
    2.24  DOS/Windows partition. You will see your files from /mnt/dos.\n\n
    2.25 -You will start SliTaz with \\slitaz\\boot\\tazboot.exe\n\n
    2.26 +You can start SliTaz with \\slitaz\\boot\\tazboot.exe\n\n
    2.27  To uninstall SliTaz, you have only to remove this directory.
    2.28  The file \\boot.ini or \\config.sys may be modified too.\n\n
    2.29 -To do a traditionnal installation with disk partitioning
    2.30 +To do a traditional installation with disk partitioning -
    2.31  start SliTaz Live with 'SliTaz RAM boot' menu.\n
    2.32  " 16 70
    2.33  	[ $? -eq 0 -a -x /usr/sbin/mount.posixovl ] || return
    2.34 @@ -171,12 +171,12 @@
    2.35  	$DIALOG --clear \
    2.36  		--title " SliTaz bootloader for DOS " \
    2.37  		--yes-label "Install" --yesno \
    2.38 -"\nThe file TAZBOOT.EXE will be created in top directory. It supports
    2.39 -bzImage linux kernel, multiples initramfs, kernel command line and
    2.40 -ISO image file loopback (can retrieve files from an ISO file).\n\n
    2.41 +"\nThe file TAZBOOT.EXE will be created in the top directory. It supports
    2.42 +a bzImage linux kernel, multiple initramfs', a kernel command line and
    2.43 +an ISO image file loopback (retrieves files from an ISO file).\n\n
    2.44  Usage: tazboot.exe [[@commands]|[kernel=<bzimage>] 
    2.45  [initrd=<rootfs>[,<rootfs2>...]] [iso=<isofile>] cmdline args ...]\n\n
    2.46 -Defaults: tazboot @tazboot.cmd  or  tazboot kernel=bzImage auto\n\n\
    2.47 +Defaults: tazboot @tazboot.cmd or tazboot kernel=bzImage auto\n\n\
    2.48  Examples for tazboot.cmd:\n\n\
    2.49    iso=\\isos\\slitaz-4.0.iso\n\
    2.50    kernel=boot/bzImage\n\
     3.1 --- a/syslinux/stuff/iso2exe/iso2exe.sh	Thu Dec 13 14:33:27 2012 +0100
     3.2 +++ b/syslinux/stuff/iso2exe/iso2exe.sh	Thu Dec 13 18:22:00 2012 +0000
     3.3 @@ -40,12 +40,12 @@
     3.4  	*0000)	[ -x /usr/bin/isohybrid ] && isohybrid $1
     3.5  	esac
     3.6  	[ ! -x /usr/sbin/mount.posixovl ] && 
     3.7 -	echo "No file mount.posixovl. Abort." 1>&2 && exit 1
     3.8 +	echo "No file mount.posixovl. Aborting." 1>&2 && exit 1
     3.9  		
    3.10 -	echo "Move syslinux hybrid boot record..."
    3.11 +	echo "Moving syslinux hybrid boot record..."
    3.12  	ddq if=$1 bs=512 count=1 | ddq of=$1 bs=512 count=1 seek=1 conv=notrunc 
    3.13  	
    3.14 -	echo "Insert EXE boot record..."
    3.15 +	echo "Inserting EXE boot record..."
    3.16  	$0 --get bootiso.bin | ddq of=$1 conv=notrunc
    3.17  
    3.18  	# keep the largest room for the tazlito info file
    3.19 @@ -59,12 +59,12 @@
    3.20  	SIZE=$(wc -c < $TMP/rootfs.gz)
    3.21  	store 28 $SIZE $1
    3.22  	OFS=$(( 0x8000 - $SIZE ))
    3.23 -	printf "Add rootfs.gz file at %04X...\n" $OFS
    3.24 +	printf "Adding rootfs.gz file at %04X...\n" $OFS
    3.25  	cat $TMP/rootfs.gz | ddq of=$1 bs=1 seek=$OFS conv=notrunc
    3.26  	rm -rf $TMP
    3.27  	SIZE=$($0 --get lzcom.bin boot.com.lzma | wc -c)
    3.28  	OFS=$(( $OFS - $SIZE ))
    3.29 -	printf "Add DOS boot file at %04X...\n" $OFS
    3.30 +	printf "Adding DOS boot file at %04X...\n" $OFS
    3.31  	$0 --get lzcom.bin boot.com.lzma | ddq of=$1 bs=1 seek=$OFS conv=notrunc
    3.32  	store 36 $(($OFS+0xE0)) $1
    3.33  	store 30 ${RANDOM:-0} $1